import 'package:ef/ef.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:vbvs_app/common/color/appConstants.dart';
import 'package:vbvs_app/common/util/FitTool.dart';
import 'package:vbvs_app/common/util/MyUtils.dart';
import 'package:vbvs_app/component/tool/ClickableContainer.dart';
import 'package:vbvs_app/pages/device_bind/componnet/bind_dialog.dart';
import 'package:vbvs_app/pages/sleep_report/chart/StatusBarWithIndicator.dart';
import 'package:EasyDartModule/EasyDartModule.dart' as es;

class HrvWidget extends StatefulWidget {
  HrvWidget({super.key});

  @override
  State<HrvWidget> createState() => _HrvWidgetState();
}

class _HrvWidgetState extends State<HrvWidget> {
  @override
  void setState(VoidCallback callback) {
    super.setState(callback);
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    try {
      return Container(
        width: double.infinity,
        decoration: BoxDecoration(
          color: themeController.currentColor.sc5,
          borderRadius: BorderRadius.circular(
              AppConstants().normal_container_radius), // 你可以按需调整圆角半径
        ),
        child: Padding(
          padding:
              EdgeInsetsDirectional.fromSTEB(26.rpx, 29.rpx, 26.rpx, 45.rpx),
          child: Column(
            mainAxisSize: MainAxisSize.max,
            children: [
              Container(
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Text(
                      "心率变异性（HRV）".tr,
                      style: TextStyle(
                          color: themeController.currentColor.sc3,
                          fontSize: AppConstants().title_text_fontSize),
                    ),
                    ClickableContainer(
                      backgroundColor: Colors.transparent,
                      highlightColor: Colors.white, // 或设置为你需要的水波纹颜色
                      padding: EdgeInsetsDirectional.fromSTEB(
                          14.rpx, 0.rpx, 14.rpx, 0), //
                      borderRadius: 0.rpx, // 圆形点击区域
                      onTap: () {
                        showTipDialog(
                          context,
                          Container(
                            child: Text(
                              "心率变异性（HRV）介绍。",
                              style: TextStyle(
                                fontSize: 26.rpx,
                                color: themeController.currentColor.sc3,
                              ),
                            ),
                          ),
                        );
                      },
                      child: Container(
                        padding: EdgeInsetsDirectional.fromSTEB(
                            0, 0.rpx, 0.rpx, 0), // 外部 padding 移到内部
                        width: 28.rpx,
                        height: 28.rpx,
                        child: SvgPicture.asset(
                          'assets/img/icon/explain.svg',
                          fit: BoxFit.cover,
                          color: themeController.currentColor.sc4,
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              SizedBox(
                height: 83.rpx,
              ),
              Padding(
                padding: EdgeInsetsDirectional.fromSTEB(
                    30.rpx, 0.rpx, 30.rpx, 0.rpx),
                child: StatusBarWithIndicator(
                  selectKey: 2,
                  showLabel: [
                    {"key": 1, "name": "正常", "color": Color(0xFF4CAF50)},
                    {"key": 2, "name": "一般", "color": Color(0xFF8BC34A)},
                    {"key": 3, "name": "注意", "color": Color(0xFFFFC107)},
                    {"key": 4, "name": "警告", "color": Color(0xFFF44336)},
                  ],
                ),
              ),
              SizedBox(
                height: 56.rpx,
              ),
            ],
          ),
        ),
      );
    } catch (e) {
        es.EasyDartModule.logger.error("打鼾监测绘制异常${e}");
      return Container();
    }
  }
}
